<template>
    <div class="sidebar" v-if="$store.state.showSidebar">
        <div class="brand">SmartBooking</div>
        <div class="navegation">
            <ul>
                <li><i class="bi bi-house"></i>Home</li>
                <li data-bs-toggle="modal" data-bs-target="#modalNewReservation"><i class="bi bi-plus-square"></i>Nova Reserva</li>
                <li data-bs-toggle="modal" data-bs-target="#modalNewCheckin"><i class="bi bi-calendar-check"></i>Check-In</li>
                <li data-bs-toggle="modal" data-bs-target="#modalNewCheckout"><i class="bi bi-calendar-x"></i>Check-Out</li>
                <!-- <li><i class="bi bi-window-stack"></i>Administração</li> -->
                <li data-bs-toggle="modal" data-bs-target="#modalNewRoom"><i class="bi bi-door-open"></i>Novo Quarto</li>
            </ul>
        </div>
    </div>
</template>

<script>
export default {
    name: 'SidedBar'
}
</script>

<style scoped>
.sidebar {
    min-width: 200px;
    height: 100vh;
    background-color: #35769A;
}

.brand {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: 600;
    font-size: 1.25rem;
}

.navegation {
    padding: 10px 0;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    padding: 10px 25px;
    color: #fff;
    font-weight: 500;
    display: flex;
    gap: 10px;
}

li:hover {
    background-color: #3b82a9;
    cursor: pointer;
}
</style>